#ifndef BOCON_H
#define BOCON_H

#include <stdio.h>
#include "../../GEFEL/PARSER/parser.h"

class bocon
{
  public:
   bocon();
   ~bocon();
   long read(FILE *in);
   long read_prop(FILE *in, long ndof);

   long    nn;    ///< node number
   long    ndir;  ///< number of directions
   long   *dir;   ///< array flags for each direction
   double *con;   ///< array with prescribed values
   char   **expr; ///< array with prescribed functions
};

#endif
