#ifndef NONLOCPLAST_H
#define NONLOCPLAST_H

#include "iotools.h"
#include "alias.h"

class nonlocplast
{
  public :
   nonlocplast(void);
   ~nonlocplast(void);
   /// reads data from the file in
   long read(XFILE *in);
   /// allocates additional data structures at the integration point
   void allocation (long ipp);
   /// averages values in the given integration point
     void average (long ipp, long ido);

   /// taken radius for ipp environment
   double r;
   /// flag for the averaged variable
   wavrg waf;

};
#endif
