#ifndef DLOADPD_H
#define DLOADPD_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "iotools.h"

#include "../../GEFEL/PARSER/parser.h"
#include "../../GEFEL/PARSER/equ.h"

/**
  This class defines dynamical prescribed displacements
*/
class dloadpd
{
  public:
   double ampl;   ///< amplitude value
   char   expr[256];  ///< string with the function expression
   Equation *eq;  ///< parser pointer
   variable *var;  ///< pointer to the expression variable

	 dloadpd();
	 ~dloadpd();
   long read(XFILE *in);
   double getval(double t);
};

#endif
