#ifndef INICD_H
#define INICD_H

#include "iotools.h"
#include "alias.h"

/**
  This class holds data about initial condition in the given node.
*/
class inicd
{
  public :
   inicd (void);
   ~inicd(void);
   long read(XFILE *in);

   inictype type;   ///< type of initial condition
   double  *val;    ///< values of initial conditions of given node
   long     nval;   ///< number of values
};

#endif
