#ifndef THERISOMAT_H
#define THERISOMAT_H

#include "iotools.h"
#include "alias.h"
struct matrix;


class therisomat
{
 public:
  therisomat (void);
  ~therisomat (void);
  void read (XFILE *in);
  
  void matdilat (matrix &d,strastrestate ssst);
  void matdilat_bar (matrix &d);
  void matdilat_plbeam (matrix &d);
  void matdilat_plstress (matrix &d);
  void matdilat_plstrain (matrix &d);
  void matdilat_axi (matrix &d);
  void matdilat_plate (matrix &d);
  void matdilat_spacestr (matrix &d);
  
  void temprstrains (long lcid,long ipp);
  
  //  coefficient of thermal dilatancy
  double alpha;
};

#endif
